Forgot your password?
typodupeerror
Linux Software

Kernel 2.6.1 Released 441

Posted by michael
from the stable-goodness dept.
jnf writes "And so he said it is released, and then jumped on a plane to Australia. Linus announced the release of 2.6.1 a few minutes ago, fixes include AGPGART, a fork() bugfix, and misc changes to XFS, and those are just the patches applied since v2.6.1-rc3. Full changelog is avialable, kernel at the usual places, i held off posting this until kernel.org was updated." 2.6.0 is now in Debian unstable...
This discussion has been archived. No new comments can be posted.

Kernel 2.6.1 Released

Comments Filter:
  • cygwin (Score:5, Funny)

    by Anonymous Coward on Friday January 09, 2004 @09:01AM (#7927397)
    still doesn't build on cygwin..
    • Re:cygwin (Score:5, Funny)

      by aled (228417) on Friday January 09, 2004 @09:14AM (#7927516)
      Worst: it doesn't compile with VS.NET. This Linux thing isn't as portable as advertised.
    • UML? (Score:5, Informative)

      by Slashamatic (553801) on Friday January 09, 2004 @09:24AM (#7927586)
      Ok, maybe it does seem stupid, but sometimes you are cursed to a Windows wokstation by corporate policy. Sometimes you are not permitted admin access even to the local system and Knoppix isn't permitted.

      Cygwin is great but a full linux would be even better. In theory at least, User Mode Linux should be able to run under Windows. Possibly with a MinGW compile under Cygwin so after building, it doesn't need the Cygwin layer.

      • Re:UML? (Score:5, Funny)

        by gl4ss (559668) on Friday January 09, 2004 @10:10AM (#7927971) Homepage Journal
        well..

        there is a project on sourceforge http://line.sourceforge.net/

        * LINE Is Not an Emulator

        LINE executes unmodified Linux applications on Windows by intercepting Linux system calls. The Linux applications themselves are not emulated. They run directly on the CPU just like all other Windows applications.

        Status
        Current version: 0.5
        Release date: May 29, 2001

        LINE IS ALPHA SOFTWARE *

        though, now I should get off my ass and compile 2.6.1..
      • Re:UML? (Score:4, Funny)

        by Anonymous Coward on Friday January 09, 2004 @10:32AM (#7928192)
        ... cursed to a Windows wokstation by corporate policy.

        WTF?

        I am what most people would consider a highly trained technical professional. Unlike most people who spout off at this site, I have the certificates to prove this, and furthermore they're issued by the biggest software company in existence.

        I know how to tell facts from marketing fluff. Now, here are the facts as they're found by SEVERAL INDEPENDENT RESEARCH INSTITUTES:

        Expenses for file-server workloads under Windows, compared to LinuxOS:
        • Staffing expenses were 33.5% better.
        • Training costs were 32.3% better.


        They compared Microsofts IIS to the Linux 7.0 webserver. For Windows, the cost was only:
        • $40.25 per megabit of throughput per second.
        • $1.79 per peak request per second.


        Application development and support costs for Windows compared to an opensores solution like J2EE:
        • 28.2% less for large enterprises.
        • 25.0% less for medium organizations.


        A full Windows installation, compared to installing Linux, on an Enterprise Server boxen:
        • Is nearly three hours faster.
        • Requires 77% fewer steps.


        Compared to the best known opensores webserver "Red Hat", Microsoft IIS:
        • Has 276% better peak performance for static transactions.
        • Has 63% better peak performance for dynamic content.


        These are hard numbers and 100% FACTS! There are several more where these came from.

        Who do you think we professionals trust more?
        Reliable companies with tried and tested products, or that bedroom coder Thorwalds who publicly admits that he is in fact A HACKER???

        --
        Copyright (c) 2004 Mike Bouma, MCSE, MCDST, MS Office Specialist

        Permission is granted to copy, distribute and/or modify this document
        under the terms of the GNU Free Documentation License, Version 1.2
        or any later version published by the Free Software Foundation;
        with no Invariant Sections, no Front-Cover Texts, and no Back-Cover
        Texts. A copy of the license is included in the section entitled "GNU
        Free Documentation License".
      • Re:UML? (Score:3, Interesting)

        by drinkypoo (153816)
        linux will run in bochs. bochs can supposedly be accelerated with plex86, though I've never actually seen an implementation of this anywhere. And in theory, it should be possible (though perhaps much harder) to get all this working on windows as a linux host. I've run linux in bochs, but it was emulating the cpu, rather than virtualizing. Still, virtualization is probably the best way to go there. As for user mode linux running under windows, windows would need to have support for it.

        If Knoppix isn't perm

        • Re:UML? (Score:3, Informative)

          by Slashamatic (553801)
          I'm a big fan of Cygwin, it has stopped me from going insane many times. However, it isn't full Linux.

          UML runs in user mode and issues standard posix calls. Theoretically it can work under Linux to give a full workalike environment. It would be interesting to try.

  • by Stween (322349) on Friday January 09, 2004 @09:02AM (#7927404)
    ... it gets released the minute I've installed 2.6.0.

    Perhaps I'll wait until at least 2.6.2 before doing it again :)
    • Re:Of course... (Score:5, Informative)

      by SQLz (564901) on Friday January 09, 2004 @09:29AM (#7927637) Homepage Journal
      Try this.

      Copy the .config file from the 2.6.0 directory to the 2.6.1 directory. Then enter the 2.6.1 directory. Type: 'make oldconfig'. That will apply the old kernel configuration to the new one asking you manually about any new options. Then just do your normal, make, make modules_install.

      Beats the hell out of make menuconfig.
      • Re:Of course... (Score:5, Informative)

        by grahamlee (522375) <[iamleeg] [at] [gmail.com]> on Friday January 09, 2004 @09:51AM (#7927806) Homepage Journal
        Or use /proc/config.gz from the 2.6.0 system, that might work too :-)
      • Yeah, that works, but I just spent an *entire* day getting my webacam to work properly.

        So what about Nvidia drivers? Anyone tried this yet?

        Let the fun begin!

        • Nvidia drivers (Score:3, Informative)

          by Phaid (938)
          Yep. Go to this site [minion.de] and download the diff for your version of the driver.

          You'll need to run the NVIDIA installer with the --extract-only argument to untar it, then cd usr/src/nv and patch -p1 the diff file and then cp Makefile.nvidia Makefile. Then just run make install in the top-level directory of the nvidia installer and it'll build and install a 2.6.1-compatible module.
          • You'll need to run the NVIDIA installer with the --extract-only argument to untar it, then cd usr/src/nv and patch -p1 the diff file and then cp Makefile.nvidia Makefile. Then just run make install in the top-level directory of the nvidia installer and it'll build and install a 2.6.1-compatible module.

            Don't forget to wave the sacrificial rubber chicken in an anti-clockwise direction over your processor while it compiles. If you wave the chicken clockwise you'll get a *lot* of segfaults and kernel panics.
    • ... it gets released the minute I've installed 2.6.0

      You'll want to upgrade to 2.6.1 to fix this recently announced [slashdot.org] (local) root exploit. The headline doesn't say it, but according to the user posts it effected 2.2.x, 2.4.x and 2.6.0 kernels.
    • by Shazow (263582) <andrey.petrov@sha[ ].net ['zow' in gap]> on Friday January 09, 2004 @12:54PM (#7930156) Homepage
      ... it gets released the minute I've installed 2.6.0.

      Perhaps I'll wait until at least 2.6.2 before doing it again :)

      But but but... If you never install 2.6.1, then 2.6.2 may never come out! The fate of the world depends on you!!

      - shazow
  • Linus Flees (Score:3, Funny)

    by TedCheshireAcad (311748) <ted.fc@rit@edu> on Friday January 09, 2004 @09:02AM (#7927408) Homepage
    Linus Flees! The time of judgement is upon us. Oh, repent!
  • by flyingace (162593) on Friday January 09, 2004 @09:03AM (#7927412) Journal
    Besides Debian, What distros have 2.6.x ?

  • by zeroclip (700917) on Friday January 09, 2004 @09:03AM (#7927413)
    Does this release fix the do_mremap() exploit? I coulden't find it in the changelog. I got the impression from security sites that 2.6.0 had this bug.
  • by clifgriffin (676199) on Friday January 09, 2004 @09:06AM (#7927445) Homepage
    I download it, double click on the .exe, click next a few times and restart? Thanks, Clif
    • Actually (Score:5, Funny)

      by Czernobog (588687) on Friday January 09, 2004 @09:49AM (#7927791) Journal
      This is a way to make the Windows 85% desktop share vanish overnight.
      Just compile the most expansive possible kernel. Package it and "sell" it to cnet as the p2p app to have. Include boot loader.
      No one reads warnings/lisenses anyway...
      And voila! 85% linux on the world's desktops overnight! And what a night it will be!
      I pity Dell support and the Indians....

    • It looks like you're trying to upgrade your Kernel. Would you like to:

      1. make gconfig?
      2. make clean bzImage modules modules_install?
      3. copy system files to /boot?
      4. install a bootloader?
      • Under 2.6.x, you simply type:
        make (menu|g)config
        make
        make install
        make modules_install

        "make install" tries to figure out whether you're using LILO or GRUB and tell you what to do next, though it didn't quite work in my case since I never bothered setting up a boot menu (I just use the GRUB boot prompt). Another thing you should watch is that, by default, you can't remove modules from a running kernel. Be sure to check out the options for this.

        Anyone else notice that you don't see the actual gcc commands a
  • by Anonymous Coward on Friday January 09, 2004 @09:07AM (#7927448)
    Well, you see, my BLT drive just went AWOL and I got this real big presentation due tomorrow for Mr. Kawsaki and if I don't get it in he'll ask me to commit Harry Carry. Could you read me the numbers on your version? It's the thing that you get when you type 'uname -a'

    Oh wait, we are all about reality here. My mistake.
  • Hmmmm.... (Score:4, Funny)

    by Soko (17987) on Friday January 09, 2004 @09:12AM (#7927497) Homepage
    I'm going to be in Australia (and on airplanes) for the week, but we're
    all in the capable hands of Andrew, so why worry? The fact that I'm
    fleeing the country should in no way be construed as anything sinister at
    all, no siree. Nope. I'm innocent, and nobody saw me do it.


    Linus is not only a great project manager, system architect and coder, he's funny as hell too.

    (If that isn't an underhanded slap in the back of the head of Dalek McBride, I don't know what is. "I'll be in Oz all week, try the veal!!")

    I hope SCO sticks around for a while just for the comedy factor. :-)

    Soko
  • STILL waiting for... (Score:4, Informative)

    by Trolling4Columbine (679367) on Friday January 09, 2004 @09:14AM (#7927512)
    Native support for SATA hard drives!

    I've been wanting to dual-boot for several months now, but the Linux installer (any distribution) does not recognize my SATA hard drive.

    For an OS that's supposed to be innovative and cutting edge, Linux is really dropping the ball on this one!
    • by jtshaw (398319) on Friday January 09, 2004 @09:28AM (#7927628) Homepage
      Go to the Low-level SCSI drivers in the kernel. It is under the Device Drivers->SCSI Devices section. There exists and option that might make you happy:

      [*] Serial ATA (SATA) support
      ServerWorks Frodo / Apple K2 SATA support (EXPERIMENTAL) (NEW)
      Intel PIIX/ICH SATA support
      Promise SATA support (NEW)
      VIA SATA support
    • Mandrake 9.2 is happily running on a my DELL with a SATA drive.
    • by Apreche (239272)
      There is support for SATA drives. In face it was a 2.4 kernel patch also. Now it's official and full on in 2.6. The trick is that you actually have to configure your kernel to include the support for your particular controller. So for me with my Abit NF7-S I have to include support for Silicon Image disk controllers in my config.

      So yeah official native SATA support is in there, and it works well too!
    • by 3riol (680662) *
      Just a bit of reality-reminding here:

      Linux is code, not a living thing: it does not drop balls on anything.

      Neither is Linux an OS. It is a POSIX-like kernel used by a number of OSs, and does not include any other software.

      As such there is no such thing as "the Linux installer". Every distribution has its own installer (usually developed by their own staff), which is entirely independent of the kernel, Linux.

      As for "dropping the ball", SATA support had been up and running for a long time in the 2.5.* dev
  • by Anonymous Coward on Friday January 09, 2004 @09:21AM (#7927563)
    To Sum it up:

    o lots of USB-Updates, eg. for storage-devices and BUGS
    o seeking in /proc/net/tcp fixed
    o some more use-after-free()-fixes
    o [libata promise] fix another ugly bug (for those who use it)
    o lots of misc small fixes
    o lots of ARM stuff
    o dvb: Update DVB core (and more stuff, for those video-people)
    o Fix via686a/KX133 TSC failure (for ppl with an Abit KA7/KA7-100 etc)
    o Fix memleak on execve failure (memleaks are always bad)
    o cpuqfreq stuff/additions
    o "at least" one important X86-64 fix
    o mremap() security fix
  • by graf0z (464763) on Friday January 09, 2004 @09:23AM (#7927576)
    2.4-patches i regulary used:

    I got really tired of applying combinations of those patches to newest kernel source (due to security issues). They 're now all included to 2.6! Only MPPE-support seems still to lack.

    They must have beaten up Linus to get all those accepted ...

    /graf0z.

    • ....not. This is what I add to 2.6.1:
      • [bytesex.org]
        bttv/v4l patch
        [holtmann.org]
        bluez kernel patch (bluetooth)
        [vc.cvut.cz]
        matrox frame buffer patch
        [alsa-project.org]
        alsa 1.0.1 kernel patch
        [epitest.fi]
        hostap (accesspoint sw for prism hardware)
        [sourceforge.net]
        qc-usb (quickcam express driver)
  • ALSA? (Score:2, Interesting)

    by FyRE666 (263011)
    Let's hope they've fixed ALSA in this release then. I was surprised when I tried using it with 2.6.0 and it seems full of broken drivers. Of course, downloading ALSA and building it the same way I would with 2.4.x works fine! I'm thinking they should either try to include the latest ALSA driver code in the kernel, or just leave it out so that it can be built separately...
  • Is there a place where someone can find a list of the hardware that is supported by the 2.6.x kernel? I have been able to find hardware compatability lists for the 2.4.x kernel on redhat and mandrake's websites, but I have not found anything for the 2.6 kernel.
  • by bwindle2 (519558) on Friday January 09, 2004 @09:28AM (#7927623)
    This patch weighs in at 4.1 megs... there are 998 files changed, 40596 insertions, 50838 deletions.

    That's a heck of a lot of changes for a "stable" kernel.

  • Dammit! (Score:5, Funny)

    by Saint Aardvark (159009) * on Friday January 09, 2004 @09:29AM (#7927635) Homepage Journal
    I just downloaded everything for -rc3 last night, compiled before going to bed, and was going to copy bzImage into place right now. And now this.

    Me: How many fingers do you have on your right hand?
    Linus: What?
    Me: Oh, how I have prepared for this moment. The coding, the studying, the kernel crashes, never seeing the sun...
    Linus: What the hell are you talking about?
    Me: My name is Saint Aardvark the Carpeted. You killed my kernel. Prepare to die.
    Linus: How the hell did you find me? Did Darl send you?
    Me: My name is Saint Aardvark the Carpeted. You killed my kernel. Prepare to die.
    Linus: ...All right, I can see you're upset. How much would it take to clear this up? Patches? A syctl named after you? The head of Alan Cox?
    Me: My name is Saint Aar--
    Linus: Stop saying that! Guards!
    Me: --killed my kernel.
    Linus: What do you want?
    Me: I want my -rc3 kernel back, you son of a bitch.

  • by tommck (69750) on Friday January 09, 2004 @09:35AM (#7927679) Homepage
    This is a bit off-topic, but:

    I was an early user of Linux (1.2.8 and earlier w/ Slackware). ("Back in my day, we had to compile our own kernels!").

    Anyway, I've been screwing around again lately. I've got two machines running Mandrake 8.2 and one w/ Mandrake 9.2 (VMWare actually). Also planning on messing w/ Redhat 9 and Suse. Knoppix rules, etc.

    What I want to know is: What are the complications/problems with upgrading your kernel? I remember there being all sorts of problems with shared libraries versions since they don't have any internalized versioning system to run things side by side.

    Is it still true that I might break half the apps running on my system if I try to update my kernel?

    Please help to re-educate a guy who has lost his way.

    Thanks.

    Tom
    • by the_crowbar (149535) on Friday January 09, 2004 @10:03AM (#7927918)

      When I went from 2.4.xx t 2.6.0-testxx (on a Gentoo 1.4 system) I downloaded the 2.6.x kernel and checked in Documentation\Changes. That file will list several packages and the minimum version needed. It also has the command to check the version and the site to download updated packages. Once you have verified that you have the correct versions of extra software compile the new 2.6.x kernel. Boot it and see what breaks. Of course you want to keep a backup of your current working 2.4.x kernel to boot.

      As for breaking half your apps: no. I built my Gentoo system under a 2.4.x kernel and now run a 2.6.x kernel with no problems.


      the_crowbar
    • It wont break your system, but a few subsystems change:

      * Module loading: There are new tools for this (usually called module init tools). These are MANDATORY.
      * Logical Volume Management: lvm2 is available but possibly not required (not sure on this)
      * Alsa: Can now be compiled in the kernel. Might need minuscule tweaking
      * A few modules have been renamed. (e.g. printer.o -> usblp.ko)
  • BitTorrent... (Score:5, Informative)

    by teoruiz (726541) on Friday January 09, 2004 @09:37AM (#7927687) Homepage
    Here [the-geek.org].
  • 2.4 -vs- 2.6 (Score:3, Interesting)

    by MobyDisk (75490) on Friday January 09, 2004 @09:45AM (#7927741) Homepage
    In looking at the changelog, I see lots of 2.4 fixes are being added into 2.6.1. I understand the kernel versions are completely parallel development paths. So does this mean there are lots of 2.4 bug fixes that are still not in 2.6? If so, I would think that might be something worth waiting for before upgrading.
  • Does someone have a super easy procedure to upgrade kernels. This is something I haven't done since kernel 2.0.x. I have moved to redhat9 and I am wondering if there's an easy way about it.

    A slashdot a day keeps the doctors away - linux penguin
  • ...can be found here [infoether.com].

    Lots of stuff to work on there... that's just the architecture directory...
  • Zip Drive Support (Score:4, Interesting)

    by Ween (13381) on Friday January 09, 2004 @09:57AM (#7927857)
    Recently Linus has shown his dislike for the scsi emulator for ide devices. He went on to say that there werent any common devices that needed the scsi layer. One such device are zip drives. I use a Zip 750 in my server to backup a small but important set of data. The only way this drive will work is with the scsi emulated layer. Has this been fixed in the 2.6 kernel series (it wasnt fixed in 2.6 pre4), or does someone have another way to use this device without scsi?
  • Now running! (Score:3, Informative)

    by reignbow (699038) <{ed.bew} {ta} {neffets.m.a}> on Friday January 09, 2004 @10:35AM (#7928227)
    I just downloaded the tarball, modified my 2.6.0 configuration a little bit (what the heck do I need UFS support for?), compiled and rebooted. Without any tweaking, ALSA, LVM2, ide-scsi (in your face, Torvalds!), the Promise IDE-Controller and all the usual tidbits work. Nice one.

    BTW, does anybody know how to make K3B understand the new ATAPI cdburning stuff?
  • by khasim (1285) <brandioch.conner@gmail.com> on Friday January 09, 2004 @11:19AM (#7928852)
    I know many people will not read the documentation so I'm posting it here.

    You need module-init-tools with the 2.6.x series.
  • by llamalicious (448215) on Friday January 09, 2004 @11:26AM (#7928941) Journal
    Linus' comments in changelogs... ...snip...

    <torvalds@home.osdl.org>
    Fix silly mremap test.
    Get off the drugs, Linus.

Truth is free, but information costs.

Working...